### Function

# Gimp palettes_popup

#### Declaration [src]

    gboolean
    gimp_palettes_popup (
      const gchar* palette_callback,
      const gchar* popup_title,
      const gchar* initial_palette
    )

#### Description [src]

Invokes the Gimp palette selection.

This procedure opens the palette selection dialog.

#### Parameters

`palette_callback`

  Type: `const gchar*`

  The callback PDB proc to call when palette selection is made.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the palette selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_palette`

  Type: `const gchar*`

  The name of the palette to set as the first selected.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.